Page 1 of 1

Ubuntu Bug Report

PostPosted: December 8th, 2019, 1:32 am
by Hydrohead
I just got vassal installed on a new Ubuntu computer and when I tried to load my first module, I got a bug warning and it was not able to be submitted through the apps bug reporter. The bug reporter sent me here.

The error log is attached.
And the module I was attempting to load is here: http://www.vassalengine.org/mediawiki/i ... G_4.5.vmod

I have notifications turned on. If there is anything else I can provide or options I should try, just let me know.

OS: Ubuntu 18.04.3 LTS

Re: Ubuntu Bug Report

PostPosted: December 8th, 2019, 11:18 pm
by uckelman
Thus spake Hydrohead:
> I just got vassal installed on a new Ubuntu computer and when I tried to
> load my first module, I got a bug warning and it was not able to be
> submitted through the apps bug reporter. The bug reporter sent me here.

The problem is that you're using Java 11 with VASSAL 3.2.17. The newest
Java which will work with 3.2.17 is Java 8.

We're working on 3.3.0 presently which will work with Java 9 and later;
in the meantime, use Java 8 with 3.2.17.

--
J.

Re: Ubuntu Bug Report

PostPosted: December 9th, 2019, 11:45 pm
by Hydrohead
Thanks! That fixed it.